Loading...
Searching...
No Matches
screening_types.h File Reference
`#include "gridfire/screening/screening_abstract.h"`
`#include <memory>`
Include dependency graph for screening_types.h:
This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | gridfire
namespace | gridfire::screening

## Enumerations

enum class | gridfire::screening::ScreeningType { gridfire::screening::BARE , gridfire::screening::WEAK }
| Enumerates the available plasma screening models. More...

## Functions

std::unique_ptr< ScreeningModel > | gridfire::screening::selectScreeningModel (ScreeningType type)
| A factory function to select and create a screening model.